Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class MemoryChanneledIntRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageSupport
            |
            +--com.sun.jimi.core.raster.MemoryIntRasterImage
                  |
                  +--com.sun.jimi.core.raster.MemoryChanneledIntRasterImage

public class MemoryChanneledIntRasterImage
extends MemoryIntRasterImage

Channeled version of IntRasterImage.

Fields inherited from class com.sun.jimi.core.raster.MemoryIntRasterImage
`imageData, pixelBuffer`

Fields inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`abort, colorModel, error, finished, forceRGB, modified, newFrameData, productionAllowed, productionStarted, properties, rowBuf, sourceColorModel, waitForOptions`

Constructor Summary
`MemoryChanneledIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`

Method Summary
`void` | `addDirectConsumer(java.awt.image.ImageConsumer consumer)`

Methods inherited from class com.sun.jimi.core.raster.MemoryIntRasterImage
`asIntArray, getAppropriateColorModel, getChannelRectangle, getChannelRow, getPixel, getPixelRGB, getRectangle, getRectangleRGB, getRow, getRowRGB, initStorage, sendPixel, sendRectangle, sendRegionToConsumerFully, sendRow, sendToConsumerFully, setChannelPixel, setChannelRectangle, setChannelRow, setPixel, setRectangle, setRow, storeChannelRectangle, storePixel, storeRectangle, storeRow, toRGB, toRGB`

Methods inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`addConsumer, addWaitingConsumer, catchupConsumer, getColorModel, getCroppedImageProducer, getDirectConsumer, getFactory, getHeight, getImageProducer, getOptions, getProperties, getRectangleARGBChannels, getRectangleRGBAChannels, getRectangleRGBChannels, getWidth, hasDirectConsumer, initConsumer, isConsumer, isError, mustWaitForOptions, produceCroppedImage, removeConsumer, requestTopDownLeftRightResend, setColorModel, setDecodingController, setError, setFactory, setFinished, setImageConsumerHints, setModified, setOptions, setWaitForOptions, startProduction, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryChanneledIntRasterImage

    public MemoryChanneledIntRasterImage(int w,
                                         int h,
                                         java.awt.image.ColorModel cm)

Method Detail

### addDirectConsumer

    public void addDirectConsumer(java.awt.image.ImageConsumer consumer)

  Overrides:
    addDirectConsumer in class JimiRasterImageSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD